* {
    outline: none;
}

.answer__inner {
    position: unset;
}

.quiz {
    padding: 50px 0;
}

.quiz__container {
    background: #F5F5F5;
    border-radius: 30px;
    padding: 30px;
    overflow: hidden;
    position: relative;
}

.quiz__step {
    min-height: 560px;
    display: none;
    gap: 30px;
    height: 100%;
}

.quiz__step.active {
    display: flex;
}

.quiz__sidebar {
    background-repeat: no-repeat;
    background-size: cover;
    width: 340px;
    border-radius: 30px;
    padding: 50px 20px;
}

.quiz__sidebar span {
    text-align: center;
    margin: 0 auto;
    color: white;
    font-weight: 400;
    font-size: 18px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.quiz__content {
    width: calc(100% - 370px);
    padding: 0 0 90px 0;
    position: relative;
}

.quiz__progress {
    width: 100%;
    height: 40px;
    background: #FFFFFF;
    border-radius: 20px;
    margin: 0 0 30px 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.quiz__progress span {
    background: linear-gradient(271.03deg, #FD8B0F 0.87%, #F96A0A 99.1%);
    border-radius: 20px;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
}

.quiz__progress div {
    font-weight: 400;
    font-size: 18px;
    letter-spacing: 1px;
    color: #1D1D1D;
    text-align: center;
    z-index: 2;
}

.quiz__title {
    font-weight: 700;
    font-size: 24px;
    line-height: 120%;
    color: #1D1D1D;
    margin: 0 0 10px 0;
}

.quiz__title.error {
    color: red;
}

.quiz__title.quiz__title_center {
    text-align: center;
}

.quiz__help {
    font-weight: 400;
    font-size: 15px;
    line-height: 120%;
    color: #1D1D1D;
    padding: 0 0 0 25px;
    margin: 0 0 40px 0;
}

.quiz__help.quiz__help_center {
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 7px;
}

.quiz__radio {
    display: flex;
    gap: 80px;
    overflow-x: auto;
    padding: 0 0 20px 0;
}

.quiz__step.quiz__step_3 .quiz__radio {
    gap: 30px;
}

.quiz__radio__item {
    width: 180px;
    cursor: pointer;
    flex: 0 0 auto;
}

.quiz__radio__image {
    position: relative;
    border-radius: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 0 25px 0;
}

.quiz__radio__image:after {
    content: "";
    width: 30px;
    height: 30px;
    background: #F5F5F5;
    border: 4px solid #C5C5C5;
    position: absolute;
    bottom: -15px;
    border-radius: 50%;
    z-index: 1;
}

.quiz__radio__item.active .quiz__radio__image:after {
    content: "";
    background-size: 8px;
    background-position: center center;
    background-color: #F5F5F5;
    background-image: url('../images/quiz-new/check.svg');
    background-repeat: no-repeat;
    border: 4px solid #F96A0A;
}

.quiz__radio__image img {
    width: 100%;
    overflow: hidden;
    border-radius: 25px;
}

.quiz__radio__name {
    font-weight: 400;
    font-size: 16px;
    line-height: 120%;
    text-align: center;
    color: #1D1D1D;
}

.quiz__bottom {
    position: absolute;
    width: 100%;
    bottom: 0;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.quiz__prompt {
    display: flex;
    align-items: center;
    gap: 10px;
    width: 220px;
}

.quiz__prompt img {
    width: 34px;
}

.quiz__prompt span {
    font-weight: 400;
    font-size: 14px;
    line-height: 150%;
    color: #6C6C6C;
    opacity: 0.5;
}

.quiz__nav {
    display: flex;
    gap: 20px;
    align-items: center;
}

.quiz__button {
    width: 180px;
    height: 60px;
    mix-blend-mode: normal;
    border-radius: 58px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 7px;
    border: none;
    cursor: pointer;
}

.quiz__button.quiz__button_next {
    background: linear-gradient(99.1deg, #F96A0A 26.13%, #FD8B0F 66.17%);
    box-shadow: inset 0px -4px 14px rgba(255, 255, 255, 0.2), inset 0px 0px 30px rgba(255, 255, 255, 0.25);
}

.quiz__button.quiz__button_prev {
    flex-direction: row-reverse;
    background: linear-gradient(99.1deg, #CACACA 26.13%, #D8D8D8 66.17%);
    box-shadow: inset 0px -4px 14px rgba(255, 255, 255, 0.2), inset 0px 0px 30px rgba(255, 255, 255, 0.25);
}

.quiz__button.quiz__button_prev img {
    transform: rotate(180deg);
}

.quiz__button span {
    font-weight: 700;
    font-size: 16px;
    line-height: 0px;
    letter-spacing: 0.1em;
    color: #FFFFFF;
    text-transform: uppercase;
}

.quiz__button img {
    width: 20px;
}

.custom-range {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.custom-range .custom-range__input {
    position: relative;
}

.custom-range .custom-range__input:after {
    content: "";
    position: absolute;
    top: calc(100% + 4px);
    height: 4px;
    width: 100%;
    background: url('../image/scale.svg') no-repeat;
    background-size: contain;
}

.custom-range .custom-range__input .ui-slider-range {
    background: #f96a0a;
    height: 4px;
    border-radius: 15px;
    border: none;
}

.custom-range .custom-range__input.ui-slider {
    background: #FFF;
    height: 4px;
    border-radius: 15px;
    border: none;
    width: 100%;
    position: relative;
}

.custom-range .custom-range__input .ui-slider-handle {
    display: block;
    width: 16px;
    height: 16px;
    background: #f96a0a;
    border: 2px solid white;
    border-radius: 20px;
    cursor: ew-resize;
    top: -6px;
    position: relative;
}

.custom-range .custom-range__input .ui-slider-handle:hover,
.custom-range .custom-range__input .ui-slider-handle:focus,
.custom-range .custom-range__input .ui-slider-handle:active {
    background: #f96a0a;
    border: 2px solid white;
    color: white;
}

.custom-range .custom-range__input .ui-slider-handle:after {
    content: attr(data-value);
    font-weight: 700;
    font-size: 14px;
    line-height: 120%;
    color: #F96A0A;
    position: absolute;
    bottom: 16px;
    left: -10px;
    border: none !important;
    width: 30px;
    text-align: center;
}

.custom-range__min-max {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0 0 0;
    width: 100%;
}

.custom-range__min-max div {
    font-weight: 700;
    font-size: 14px;
    line-height: 120%;
    color: #1D1D1D;
}

.custom-range input {
    width: 100%;
    padding: 15px 20px;
    height: 50px;
    border-radius: 1px;
    background: #FAFAFA;
    border: 1px solid #EEEEEE;
    font-weight: 300;
    font-size: 16px;
    line-height: 22px;
}

.quiz__fieldset {
    display: flex;
    gap: 30px;
    align-items: center;
}

.quiz__fieldset__wrapper {
    width: 325px;
}

.quiz__field label {
    font-weight: 700;
    font-size: 18px;
    line-height: 120%;
    display: block;
    color: #1D1D1D;
}

.quiz__field.quiz__field_area label {
    margin: 0 0 35px 0;
}

.quiz__fieldset__wrapper {
    display: flex;
    flex-direction: column;
    gap: 50px;
    justify-content: center;
}

.quiz__field.quiz__field_room {
    display: flex;
    align-items: center;
    gap: 20px;
}

.custom-iterator {
    display: flex;
    width: 90px;
    height: 36px;
    background: #FFFFFF;
    border-radius: 100px;
    overflow: hidden;
}

.custom-iterator button {
    background: none;
    border: none;
    cursor: pointer;
    width: 30px;
    font-weight: 700;
    font-size: 14px;
    line-height: 120%;
    color: #CBCBCB;
}

.custom-iterator button:hover {
    background: rgba(0, 0, 0, 0.05);
}

.custom-iterator input {
    background: none;
    border: none;
    width: 30px;
    font-weight: 700;
    font-size: 14px;
    line-height: 120%;
    text-align: center;
    color: #1D1D1D;
}

.custom-iterator input::-webkit-outer-spin-button,
.custom-iterator input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.quiz * {
    scrollbar-width: thin;
    scrollbar-color: blue white;
}

.quiz *::-webkit-scrollbar {
    height: 6px;
    width: 6px;
}

.quiz *::-webkit-scrollbar-track {
    background: white;
}

.quiz *::-webkit-scrollbar-thumb {
    background-color: #F96A0A;
    border-radius: 5px;
}

.quiz__checkbox {
    display: flex;
    flex-wrap: wrap;
    gap: 30px 20px;
    width: 480px;
    margin: 0 auto;
}

.quiz__checkbox__item {
    width: calc((100% - 30px) / 2);
    height: 50px;
    padding: 0 0 0 62px;
    display: flex;
    align-items: center;
    position: relative;
    background: #FFFFFF;
    border-radius: 5px;
    font-weight: 400;
    font-size: 14px;
    line-height: 120%;
    color: #1D1D1D;
    cursor: pointer;
}

.quiz__checkbox__item:after {
    content: "";
    position: absolute;
    left: 20px;
    width: 30px;
    height: 30px;
    background: #F5F5F5;
    border: 4px solid #C5C5C5;
    background-color: white;
    background-image: url('../images/quiz-new/check-grey.svg');
    background-position: center center;
    background-size: 8px;
    background-repeat: no-repeat;
    border-radius: 50%;
}

.quiz__checkbox__item.active:after {
    border: 4px solid #F96A0A;
    background-image: url('../images/quiz-new/check.svg');
}

.quiz__file {
    display: flex;
    flex-wrap: wrap;
    gap: 30px 20px;
    width: 480px;
    margin: 20px auto 0 auto;
}

.quiz__file__desc {
    width: calc((100% - 30px) / 2);
    height: 50px;
    font-weight: 400;
    font-size: 12px;
    line-height: 120%;
    color: #1D1D1D;
    padding: 10px 0;
}

.quiz__file__input {
    width: calc((100% - 30px) / 2);
    height: 50px;
    background: #FFFFFF;
    border-radius: 5px;
    color: #1D1D1D;
}
.field__wrapper {
	width: 100%;
	position: relative;
	margin: 15px 0;
	text-align: center;
}

.field__file {
	opacity: 0;
	visibility: hidden;
	position: absolute;
}

.field__file-fake {
	height: 50px;
	width: calc(100% - 50px);
	display: flex;
	align-items: center;
	padding: 0 15px;
	border-radius: 5px 0 0 5px;
    font-weight: 400;
    font-size: 12px;
    line-height: 120%;
    color: #C5C5C5;
}

.field__file-button {
	width: 50px;
	height: 50px;
	background: linear-gradient(99.1deg, #F96A0A 26.13%, #FD8B0F 66.17%);
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 0 5px 5px 0;
	cursor: pointer;
}

.field__file-button img {
    width: 15px;
}

.field__wrapper {
	width: 100%;
	position: relative;
	margin: 15px 0;
	text-align: center;
}

.field__file-wrapper {
	width: 100%;
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
}

.quiz__step.quiz__step_8 .quiz__sidebar {
    background: url('../images/quiz-new/sidebar-last.png') no-repeat;
    background-size: cover;
}

.quiz__step.quiz__step_8 .quiz__help {
    display: flex;
    align-items: center;
}

.quiz__step.quiz__step_8 .quiz__help img {
    position: absolute;
    left: 0;
}

.quiz__subtitle {
    font-weight: 400;
    font-size: 16px;
    line-height: 150%;
    color: #7D7D7D;
    margin: 0 0 40px 0;
}

.quiz__subtitle span {
    color: #43CE36;
    font-size: 16px;
    line-height: 150%;
    font-weight: 600;
}

.quiz__finish {
    display: flex;
    flex-direction: column;
    gap: 25px;
    width: 250px;
}

.quiz__finish input[type="tel"] {
    mix-blend-mode: normal;
    box-shadow: inset 0px -4px 14px rgba(255, 255, 255, 0.2), inset 0px 0px 30px rgba(255, 255, 255, 0.25);
    border-radius: 200px;
    background-color: white;
    padding: 20px 70px 20px 40px;
    background-image: url('../images/quiz-new/whatsapp.svg');
    background-repeat: no-repeat;
    background-position: calc(100% - 40px) center;
    background-size: 21px;
    border: 1px solid white;
    font-weight: 400;
    font-size: 14px;
    line-height: 150%;
    color: #7D7D7D;
}

.quiz__finish input[type="tel"].error {
    border: 1px solid red;
}

.quiz__finish input[type="submit"] {
    width: 100%;
    color: white;
    font-weight: 700;
    font-size: 16px;
    line-height: 0px;
    letter-spacing: 0.1em;
    color: #FFFFFF;
    text-transform: uppercase;
}

.quiz__bg {
    position: absolute;
    bottom: -30px;
    right: -30px;
}

.quiz__policy {
    margin: 20px 0 0 0;
}

.quiz__policy input {
    display: none;
}

.quiz__policy label {
    position: relative;
    font-weight: 400;
    font-size: 12px;
    line-height: 155%;
    color: #1D1D1D;
    cursor: pointer;
    display: flex;
    padding: 0 0 0 32px;
}

.quiz__policy.error label {
    color: red;
}

.quiz__policy label:after {
    content: "";
    position: absolute;
    left: 0;
    width: 20px;
    height: 20px;
    background: white;
    border: 1px solid #C5C5C5;
    border-radius: 4px;
}

.quiz__policy input:checked + label:after {
    background-color: #C5C5C5;
    background-image: url('../images/quiz-new/check-white.svg');
    background-repeat: no-repeat;
    background-size: 8px;
    background-position: center center;
    border-radius: 4px;
}

.quiz__step_8 .quiz__sidebar {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    gap: 30px;
    color: white;
}

.quiz__sidebar__gift-title {
    text-align: center;
    font-weight: 700;
    font-size: 32px;
    line-height: 120%;
}

.quiz__sidebar__gift-name {
    text-align: center;
    font-weight: 400;
    font-size: 18px;
    line-height: 120%;
}

.quiz__gift {
    display: none;
}

.quiz__success {
    display: none;
    margin: 20px 0;
    font-weight: 500;
    font-size: 24px;
    line-height: 120%;
    color: #43CE36;
}

.quiz__success b {
    color: #43CE36;
}